package agent

import (
	"net/http"

	"bdqr-server/app/main/api/internal/logic/agent"
	"bdqr-server/app/main/api/internal/svc"
	"bdqr-server/common/result"
)

func GetLevelPrivilegeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := agent.NewGetLevelPrivilegeLogic(r.Context(), svcCtx)
		resp, err := l.GetLevelPrivilege()
		result.HttpResult(r, w, resp, err)
	}
}

